endpoint_tcpd.h File Reference
`#include <gwenhywfar/endpoint.h>`
`#include <time.h>`

Go to the source code of this file.

## Typedefs

typedef GWEN_MSG_ENDPOINT *(* | GWEN_ENDPOINT_TCPD_ACCEPT_FN) (GWEN_MSG_ENDPOINT *ep, GWEN_SOCKET *sk, const GWEN_INETADDRESS *addr, void *data)

## Functions

GWENHYWFAR_API GWEN_MSG_ENDPOINT * | GWEN_TcpdEndpoint_new (const char *host, int port, const char *name, int groupId)
GWENHYWFAR_API void | GWEN_TcpdEndpoint_SetAcceptFn (GWEN_MSG_ENDPOINT *ep, GWEN_ENDPOINT_TCPD_ACCEPT_FN f, void *data)

## Typedef Documentation

## GWEN_ENDPOINT_TCPD_ACCEPT_FN

typedef GWEN_MSG_ENDPOINT *(* GWEN_ENDPOINT_TCPD_ACCEPT_FN) (GWEN_MSG_ENDPOINT *ep, GWEN_SOCKET *sk, const GWEN_INETADDRESS *addr, void *data)

Definition at line 24 of file endpoint_tcpd.h.

## Function Documentation

## GWEN_TcpdEndpoint_new()

GWENHYWFAR_API GWEN_MSG_ENDPOINT * GWEN_TcpdEndpoint_new | ( | const char * | host,
|  | int | port,
|  | const char * | name,
|  | int | groupId )

References GWENHYWFAR_API.

## GWEN_TcpdEndpoint_SetAcceptFn()

GWENHYWFAR_API void GWEN_TcpdEndpoint_SetAcceptFn | ( | GWEN_MSG_ENDPOINT * | ep,
|  | GWEN_ENDPOINT_TCPD_ACCEPT_FN | f,
|  | void * | data )

References GWENHYWFAR_API.